# Лабораторная работа №2 - Разработка простейшего распределённого приложения  

## Задание

* Согласно вашему варианту разработать два приложения такие, что результат первого является исходными данными для второго.
* Изучить файлы сборки образов docker и разработать их для созданных приложений.
* Собрать файл docker-compose.yml для запуска приложений. Разобраться с монтированием каталогов из хост-системы.

## Выбранные варианты:

&nbsp;1. Формирует файл /var/result/data.txt так, что каждая строка файла - количество символов в именах файлов из каталога /var/data.

&nbsp;2. Ищет набольшее число из файла /var/result/data.txt и сохраняет количество таких чисел из последовательности в /var/result/result.txt.

## Запуск ЛР:

Введем в терминале команду:
```
docker compose up --build

```
После ввода данной команды происходит запуск файла generate_files.py. 
Он формирует файлы в директории /var/result, которые нужны для работы приложений.

![](lab_2.1.png "")

Далее запускается первое приложение app_1.py. Оно считает количество символов в именах файлов, которые мы создали ранее, и записывает в файл /var/result/data.txt. 

![](lab_2.2.png "")

После этого, запускается 2 приложение app_2.py. Оно Ищет набольшее число из файла /var/result/data.txt и сохраняет количество таких чисел из последовательности в файл /var/result/result.txt.

![](lab_2.3.png "")


# Видео

https://vk.com/video230744264_456239103?list=ln-8jtmxasFoP743qLzKB